#ifndef PROCESSGETISO_H
#define PROCESSGETISO_H

#include "src/process/processbasic.h"

#include <QObject>
#include <QGSettings/QGSettings>
class ProcessGetISO : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessGetISO(void *, void *, QObject *parent = nullptr);
    ~ProcessGetISO();
protected:
    bool prepare();
protected slots:
    void slotsStart(){}
    void slotsOutput(){}
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private:
    int    m_iProgress;
    void  *m_oSource;
    void  *m_oDestination;
    QGSettings *auditburner;
    QString auditlogpath;
};

#endif // PROCESSGETISO_H
